Opened 8 years ago

#7878 new Feature request

Log file improvement request

Reported by: Henry Williams Owned by:
Priority: normal Component: FileZilla Server
Keywords: log files Cc: buys@…
Component version: Operating system type: Windows
Operating system version: Win7pro

Description

After reviewing similar log file tickets (5133, 5169, 2753, and 2422) and observing they didn't mention my concerns, I thought I would offer two suggestions that I think would improve your valuable application.

First, I suggest addition of an option to browse and select a custom folder for log files. That would allow use of a separate data drive which might have more space and/or more frequent backups than the OS drive, and would also be more consistent with the concept that one can already custom locate the ftp store.

Second, I suggest that the date stamp format of each log entry always be MM/DD/YYYY, and the time stamp format always be HH:MM:SS. This format change would use a leading zero when the month, day, or hour is less than 2 digits so that log file text strings can more easily be imported as a columnar or structured data file. Also, the AM and PM entries are sort of redundant or superfluous and could be dropped. The more rigid string format would probably benefit those who try to programmatically automate the review of large log files, but have to first pre-process each line to allow for or rewrite varying time and date strings.

Below, I offer two recent actual log entries and a theoretical third log entry as an example of the current format. My point is to illustrate how current entries don't line up in a columnar fashion because of the varying format of date and time entries:

1: "(001739) 1/14/2012 0:00:02 AM - hbwilliams (192.168.102.34)> QUIT"

2: "(002190) 1/14/2012 16:19:58 PM - hbwilliams (192.168.102.34)> 150 Connection accepted"

3: "(002190) 12/14/2012 16:19:58 PM - hbwilliams (192.168.102.34)> 150 Connection accepted"

Implementing my suggestion would reformat the data as follows where each entry would line up in a columnar fashion, and the data strings would be shorter since AM and PM is dropped:

1: "(001739) 01/14/2012 00:00:02 - hbwilliams (192.168.102.34)> QUIT"

2: "(002190) 01/14/2012 16:19:58 - hbwilliams (192.168.102.34)> 150 Connection accepted"

3: "(002190) 12/14/2012 16:19:58 - hbwilliams (192.168.102.34)> 150 Connection accepted"

In closing, an earlier request to offer shorter time increments for log files would be helpful because a daily log file can grow very large and be slow to directly open and review.

Thanks for such a great product.

Change History (0)

Note: See TracTickets for help on using tickets.